# Features
* [wpmlcore-7775] Fixed input's styling in the Classic Editor broken in WP 5.6.
* [wpmlcore-7774] Fixed copy of "Stikcy post" flag to translated post in Gutenberg.
* [wpmlcore-7773] Fixed broken "Quick Edit" option when using Translation Management.

# Fixes
* [wpmlcore-7828] Fixed saving translation preferences for custom fields on post edit page.
* [wpmlcore-7826] Added missing filtering of $_GET and $_POST data.
* [wpmlcore-7823] Added filtering of values from $_GET and $_POST before saving it to cookies.
* [wpmlcore-7820] Allow to save cookies for SSO without `SameSite` param when the site doesn't use SSL.
* [wpmlcore-7805] Added jquery-ui-dialog dependency for js/scripts.js.
* [wpmlcore-7800] Allowed admin REST requests in secondary language when this language is hidden.
* [wpmlcore-7785] Fixed the notice error in `Sitepress::cpt_url_to_id_url`.
* [wpmlcore-7781] Fixed incorrect translation of Slovak language in Hungarian.
* [wpmlcore-7756] Fixed disappearing WPML links when editing the menu.
* [wpmlcore-7749] Fixing the required parameters following optional ones.
* [wpmlcore-7748] Fixed variable type in phpdoc.
* [wpmlcore-7747] Fixing the required parameters following optional ones.
* [wpmlcore-7745] Removed usage of `WP_PLUGIN_DIR` constant.
* [wpmlcore-7744] Fixing warnings for private methods marked as final and overriden.
* [wpmlcore-7739] Fixed PHP error when parsing an invalid URL.
* [wpmlcore-7733] Set the default locale to pa_IN for Punjabi on new installs of WPML.
* [wpmlcore-7712] Fixed translation of string on troubleshoot page.
* [wpmlcore-7684] Making WPML_Absolute_Url_Persisted::__wakeup() public with throwing error.
* [wpmlcore-7683] Fixing warnings about final private methods to follow php 8 standards.
* [wpmlcore-7682] Fixed backward compatibility with php8 related to deprecated ReflectionParameter::getClass() method.
* [wpmlcore-7681] Removed optional values from arguments that were before required.
* [wpmlcore-7619] Added missing `SameSite` parameter for cookies when using `different domain per language` with automatic sing-in.
* [wpmlcore-7112] Fixed redirecting to a page when it has the same slug as the visited post and a custom permalink structure is used.
* [wpmlcore-6447] Fixed PHP error if domain is set to an empty string.

# Compatibility
* [wpmlcore-7834] Fixed PHP error when visiting the `Widgets` page with wrong widget configuration.
* [wpmlcore-7825] Fixed Avada's layout section translation icons not showing with WP 5.6.
* [wpmlcore-7815] Fixed PHP warning when adding nav_menu element to the template.
* [wpmlcore-7782] Fixed a compatibility issue with Google Site Kit when switching the admin language to "all".
* [wpmlcore-5292] Added fallback logic to use the widget instance settings instead of the global sidebar settings for the language switcher.

# Usability
* [wpmlcore-7844] Fixed removing media for all languages when deleting file uploaded in another month.
* [wpmlcore-7796] Fixed broken styling of The WPML > Taxnomy translation in WP 5.6.

# API
* [wpmlcore-7729] Fixed problem getting translated post id when a custom post type has the same name as a custom taxonomy.